import { useImperativeHandle } from 'react';
export const useZoomableHandle = (ref, reset, zoom, getInfo) => {
  useImperativeHandle(ref, () => ({
    reset() {
      reset();
    },
    zoom(event) {
      zoom(event);
    },
    getInfo() {
      return getInfo();
    }
  }), [reset, zoom, getInfo]);
};
//# sourceMappingURL=useZoomableHandle.js.map